> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/mutations/create-invoiced-one-time-charge.md).

# createInvoicedOneTimeCharge

If initiating the charge succeeds, an invoice is also created. When initiating the charge fails, no invoice is created. It's possible that the payment and invoice status are open or pending until a final succesful payment status is received from your Payment Service Provider. This could take a couple of business days for certain payment methods, like SEPA direct debit.

### Arguments

| Argument                                                                                                                 | Description                                |
| ------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------ |
| input ([CreateInvoicedOneTimeChargeInput](/graphql-api/api-reference/objects/create-invoiced-one-time-charge-input.md)!) | Parameters for CreateInvoicedOneTimeCharge |

### CreateInvoicedOneTimeChargeInput Arguments

| Argument                                                              | Description                                     |
| --------------------------------------------------------------------- | ----------------------------------------------- |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)      | ID of the subscription to charge and invoice.   |
| description ([String](/graphql-api/api-reference/objects/string.md)!) | Description to put as single invoice line item. |
| amountCents ([Int](/graphql-api/api-reference/objects/int.md)!)       | Amount in cents to charge and invoice.          |

### Return fields

#### invoice ([Invoice](/graphql-api/api-reference/objects/invoice.md))

#### payment ([Payment](/graphql-api/api-reference/objects/payment.md))

#### paymentErrors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/create-invoiced-one-time-charge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
